Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.swt
Interface SWTRendererFactory

All Known Implementing Classes:
  SWTRendererFactoryImpl

Deprecated.

    @Deprecated
    public interface SWTRendererFactory

A RendererFactory for SWT controls.

Since:
  1.2
Author:
  Eugen Neufeld

Method Summary
`Collection<AbstractAdditionalSWTRenderer<VElement>>` | `getAdditionalRenderer(VElement vElement, ViewModelContext viewModelContext)` Deprecated. Returns a collection of all additional renderer which contribute controls for the provided `VElement`.
`AbstractSWTRenderer<VElement>` | `getRenderer(VElement vElement, ViewModelContext viewContext)` Deprecated. Searches for a fitting renderer for the passed `VElement`.

Method Detail

### getRenderer

    AbstractSWTRenderer<VElement> getRenderer(VElement vElement,
                                              ViewModelContext viewContext)

  Deprecated.
  Searches for a fitting renderer for the passed `VElement`.

  Parameters:
    `viewContext` - the `ViewModelContext` to use
    `vElement` - the `VElement` to render
  Returns:
    the list for `AbstractSWTRenderer` the fitting render or null
  Since:
    1.6

### getAdditionalRenderer

    Collection<AbstractAdditionalSWTRenderer<VElement>> getAdditionalRenderer(VElement vElement,
                                                                              ViewModelContext viewModelContext)

  Deprecated.
  Returns a collection of all additional renderer which contribute controls for the provided `VElement`.

  Parameters:
    `vElement` - the `VElement` to get additional renderer for
    `viewModelContext` - the `ViewModelContext` to check
  Returns:
    the Collection of additional renderer

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.